Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- z
- ~

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Here is a list of all documented class members with links to the class documentation for each member:

### - g -

- get() : faiss::VisitedTable
- get_centroids() : faiss::ProductQuantizer
- get_codes() : faiss::ArrayInvertedLists , faiss::ConcatenatedInvertedLists , faiss::InvertedLists , faiss::OnDiskInvertedLists
- get_ids() : faiss::InvertedLists , faiss::ArrayInvertedLists , faiss::ConcatenatedInvertedLists , faiss::OnDiskInvertedLists , faiss::HeapArray< C >
- get_InvertedListScanner() : faiss::IndexIVF , faiss::IndexIVFFlat , faiss::IndexIVFPQ , faiss::IndexIVFScalarQuantizer
- get_neighbor_table() : faiss::ReconstructFromNeighbors
- get_single_code() : faiss::InvertedLists , faiss::ConcatenatedInvertedLists
- get_single_id() : faiss::InvertedLists , faiss::ConcatenatedInvertedLists
- get_val() : faiss::HeapArray< C >
- getAlloc() : faiss::gpu::StackDeviceMemory::Stack
- getAlternateStreams() : faiss::gpu::GpuResources , faiss::gpu::StandardGpuResources
- getAlternateStreamsCurrentDevice() : faiss::gpu::GpuResources
- getAsyncCopyStream() : faiss::gpu::GpuResources , faiss::gpu::StandardGpuResources
- getAsyncCopyStreamCurrentDevice() : faiss::gpu::GpuResources
- getBitsPerCode() : faiss::gpu::GpuIndexIVFPQ
- getBlasHandle() : faiss::gpu::GpuResources , faiss::gpu::StandardGpuResources
- getBlasHandleCurrentDevice() : faiss::gpu::GpuResources
- getCentroidsPerSubQuantizer() : faiss::gpu::GpuIndexIVFPQ
- getDefaultStream() : faiss::gpu::GpuResources , faiss::gpu::StandardGpuResources
- getDefaultStreamCurrentDevice() : faiss::gpu::GpuResources
- getDevice() : faiss::gpu::DeviceMemory , faiss::gpu::StackDeviceMemory
- getDim() : faiss::gpu::IVFBase
- getGpuData() : faiss::gpu::GpuIndexFlat
- getHighWaterCudaMalloc() : faiss::gpu::DeviceMemory , faiss::gpu::StackDeviceMemory , faiss::gpu::StackDeviceMemory::Stack
- getListCodes() : faiss::gpu::GpuIndexIVFPQ , faiss::gpu::IVFPQ
- getListIndices() : faiss::gpu::GpuIndexIVFPQ , faiss::gpu::IVFBase
- getListLength() : faiss::gpu::GpuIndexIVFPQ , faiss::gpu::IVFBase
- getListVectors() : faiss::gpu::IVFFlat
- getMemory() : faiss::gpu::DeviceMemory , faiss::gpu::StackDeviceMemory
- getMemoryManager() : faiss::gpu::GpuResources , faiss::gpu::StandardGpuResources
- getMemoryManagerCurrentDevice() : faiss::gpu::GpuResources
- getMinPagingSize() : faiss::gpu::GpuIndexFlat
- getNumLists() : faiss::gpu::GpuIndexIVF , faiss::gpu::IVFBase
- getNumProbes() : faiss::gpu::GpuIndexIVF
- getNumSubQuantizers() : faiss::gpu::GpuIndexIVFPQ
- getNumVecs() : faiss::gpu::GpuIndexFlat
- getPinnedMemory() : faiss::gpu::StandardGpuResources , faiss::gpu::GpuResources
- getPQCentroids() : faiss::gpu::IVFPQ
- getPrecomputedCodes() : faiss::gpu::GpuIndexIVFPQ
- getQuantizer() : faiss::gpu::GpuIndexIVF
- getSize() : faiss::gpu::BinaryFlatIndex , faiss::gpu::Tensor< T, Dim, InnerContig, IndexT, PtrTraits > , faiss::gpu::FlatIndex
- getSizeAvailable() : faiss::gpu::StackDeviceMemory::Stack , faiss::gpu::StackDeviceMemory , faiss::gpu::DeviceMemory
- getSizeInBytes() : faiss::gpu::Tensor< T, Dim, InnerContig, IndexT, PtrTraits >
- getStride() : faiss::gpu::Tensor< T, Dim, InnerContig, IndexT, PtrTraits >
- getVectorsFloat32Copy() : faiss::gpu::FlatIndex
- getVectorsFloat32Ref() : faiss::gpu::FlatIndex
- getVectorsRef() : faiss::gpu::BinaryFlatIndex
- GpuIndexBinaryFlat() : faiss::gpu::GpuIndexBinaryFlat
- GpuIndexFlat() : faiss::gpu::GpuIndexFlat
- GpuIndexFlatIP() : faiss::gpu::GpuIndexFlatIP
- GpuIndexFlatL2() : faiss::gpu::GpuIndexFlatL2
- GpuIndexIVFFlat() : faiss::gpu::GpuIndexIVFFlat
- GpuIndexIVFPQ() : faiss::gpu::GpuIndexIVFPQ
- gt_D : faiss::AutoTuneCriterion
- gt_I : faiss::AutoTuneCriterion
- gt_nnn : faiss::AutoTuneCriterion